Package: geb.textmatching

## [Groovy] Class TextMatchingSupport

- geb.textmatching.TextMatchingSupport

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TextMatcher` | `contains(CharSequence str)`
    `TextMatcher` | `contains(Pattern pattern)`
    `TextMatcher` | `containsWord(CharSequence str)`
    `TextMatcher` | `containsWord(Pattern pattern)`
    `TextMatcher` | `endsWith(CharSequence str)`
    `TextMatcher` | `endsWith(Pattern pattern)`
    `TextMatcher` | `iContains(CharSequence str)`
    `TextMatcher` | `iContains(Pattern pattern)`
    `TextMatcher` | `iContainsWord(CharSequence str)`
    `TextMatcher` | `iContainsWord(Pattern pattern)`
    `TextMatcher` | `iEndsWith(CharSequence str)`
    `TextMatcher` | `iEndsWith(Pattern pattern)`
    `TextMatcher` | `iNotContains(CharSequence str)`
    `TextMatcher` | `iNotContains(Pattern pattern)`
    `TextMatcher` | `iNotContainsWord(CharSequence str)`
    `TextMatcher` | `iNotContainsWord(Pattern pattern)`
    `TextMatcher` | `iNotEndsWith(CharSequence str)`
    `TextMatcher` | `iNotEndsWith(Pattern pattern)`
    `TextMatcher` | `iNotStartsWith(CharSequence str)`
    `TextMatcher` | `iNotStartsWith(Pattern pattern)`
    `TextMatcher` | `iStartsWith(CharSequence str)`
    `TextMatcher` | `iStartsWith(Pattern pattern)`
    `TextMatcher` | `notContains(CharSequence str)`
    `TextMatcher` | `notContains(Pattern pattern)`
    `TextMatcher` | `notContainsWord(CharSequence str)`
    `TextMatcher` | `notContainsWord(Pattern pattern)`
    `TextMatcher` | `notEndsWith(CharSequence str)`
    `TextMatcher` | `notEndsWith(Pattern pattern)`
    `TextMatcher` | `notStartsWith(CharSequence str)`
    `TextMatcher` | `notStartsWith(Pattern pattern)`
    `TextMatcher` | `startsWith(CharSequence str)`
    `TextMatcher` | `startsWith(Pattern pattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### TextMatcher contains(CharSequence str)

    - #### TextMatcher contains(Pattern pattern)

    - #### TextMatcher containsWord(CharSequence str)

    - #### TextMatcher containsWord(Pattern pattern)

    - #### TextMatcher endsWith(CharSequence str)

    - #### TextMatcher endsWith(Pattern pattern)

    - #### TextMatcher iContains(CharSequence str)

    - #### TextMatcher iContains(Pattern pattern)

    - #### TextMatcher iContainsWord(CharSequence str)

    - #### TextMatcher iContainsWord(Pattern pattern)

    - #### TextMatcher iEndsWith(CharSequence str)

    - #### TextMatcher iEndsWith(Pattern pattern)

    - #### TextMatcher iNotContains(CharSequence str)

    - #### TextMatcher iNotContains(Pattern pattern)

    - #### TextMatcher iNotContainsWord(CharSequence str)

    - #### TextMatcher iNotContainsWord(Pattern pattern)

    - #### TextMatcher iNotEndsWith(CharSequence str)

    - #### TextMatcher iNotEndsWith(Pattern pattern)

    - #### TextMatcher iNotStartsWith(CharSequence str)

    - #### TextMatcher iNotStartsWith(Pattern pattern)

    - #### TextMatcher iStartsWith(CharSequence str)

    - #### TextMatcher iStartsWith(Pattern pattern)

    - #### TextMatcher notContains(CharSequence str)

    - #### TextMatcher notContains(Pattern pattern)

    - #### TextMatcher notContainsWord(CharSequence str)

    - #### TextMatcher notContainsWord(Pattern pattern)

    - #### TextMatcher notEndsWith(CharSequence str)

    - #### TextMatcher notEndsWith(Pattern pattern)

    - #### TextMatcher notStartsWith(CharSequence str)

    - #### TextMatcher notStartsWith(Pattern pattern)

    - #### TextMatcher startsWith(CharSequence str)

    - #### TextMatcher startsWith(Pattern pattern)